gnuplot-commands.cc File Reference
`#include "roboptim/core/config.hh"`
`#include <boost/format.hpp>`
`#include <roboptim/core/visualization/gnuplot-commands.hh>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::visualization
| Graphic visualization.
| roboptim::visualization::gnuplot
| Gnuplot rendering.

## Macros

#define | GNUPLOT_UNARY_COMMAND(NAME)
#define | GNUPLOT_STR_COMMAND(NAME, ARG)

## Functions

ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::comment (const char *) throw ()
| Make a Gnuplot comment. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::set (const char *var, const char *val="") throw ()
| Make a Gnuplot set command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::unset (const char *var) throw ()
| Make a Gnuplot unset command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::show (const char *var) throw ()
| Make a Gnuplot show command. More...

## Macro Definition Documentation

#define GNUPLOT_STR_COMMAND | ( |  | NAME,
|  |  | ARG
| ) |  |

Value:
Command \
NAME (const char* ARG) throw () \
{ \
std::string command = #NAME; \
if (*ARG != 0) \
{ \
command += " '"; \
command += ARG; \
command += "'"; \
} \
return Command (command); \
}

#define GNUPLOT_UNARY_COMMAND | ( |  | NAME | ) |

Value:
Command \
NAME () throw () \
{ \
return Command (#NAME); \
}